package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户等级记录对象 fs_user_level
 * 
 * @author fs
 * @date 2022-03-15
 */
public class FsUserLevel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 用户uid */
    @Excel(name = "用户uid")
    private Long userId;

    /** 等级vip */
    @Excel(name = "等级vip")
    private Long levelId;

    /** 会员等级 */
    @Excel(name = "会员等级")
    private Long grade;

    /** 过期时间 */
    @Excel(name = "过期时间")
    private Long validTime;

    /** 是否永久 */
    @Excel(name = "是否永久")
    private Integer isForever;

    /** 0:禁止,1:正常 */
    @Excel(name = "0:禁止,1:正常")
    private Integer status;

    /** 备注 */
    @Excel(name = "备注")
    private String mark;

    /** 是否已通知 */
    @Excel(name = "是否已通知")
    private Integer remind;

    /** 是否删除,0=未删除,1=删除 */
    @Excel(name = "是否删除,0=未删除,1=删除")
    private Integer isDel;

    /** 享受折扣 */
    @Excel(name = "享受折扣")
    private Long discount;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setLevelId(Long levelId) 
    {
        this.levelId = levelId;
    }

    public Long getLevelId() 
    {
        return levelId;
    }
    public void setGrade(Long grade) 
    {
        this.grade = grade;
    }

    public Long getGrade() 
    {
        return grade;
    }
    public void setValidTime(Long validTime) 
    {
        this.validTime = validTime;
    }

    public Long getValidTime() 
    {
        return validTime;
    }
    public void setIsForever(Integer isForever) 
    {
        this.isForever = isForever;
    }

    public Integer getIsForever() 
    {
        return isForever;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setMark(String mark) 
    {
        this.mark = mark;
    }

    public String getMark() 
    {
        return mark;
    }
    public void setRemind(Integer remind) 
    {
        this.remind = remind;
    }

    public Integer getRemind() 
    {
        return remind;
    }
    public void setIsDel(Integer isDel) 
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }
    public void setDiscount(Long discount) 
    {
        this.discount = discount;
    }

    public Long getDiscount() 
    {
        return discount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("levelId", getLevelId())
            .append("grade", getGrade())
            .append("validTime", getValidTime())
            .append("isForever", getIsForever())
            .append("status", getStatus())
            .append("mark", getMark())
            .append("remind", getRemind())
            .append("isDel", getIsDel())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("discount", getDiscount())
            .toString();
    }
}
